<template>
  <section id="projecte-tecnic-espai" class="flex flex-wrap bg-gray-100 lg:flex-no-wrap">
    <div class="flex-grow xl:min-w-1/2">
      <g-image
        class="h-full w-full object-cover"
        :src="featured_image.image"
        :alt="featured_image.description"
      />
    </div>
    <div class="p-4 sm:px-12 md:max-w-limit md:px-20 lg:px-12 lg:py-20 xl:px-20">
      <header class="mt-8 py-8 border-b">
        <h3 class="uppercase">{{ heading }}</h3>
        <div class="summary markdown" v-html="text" />
      </header>
      <div class="flex flex-wrap py-6 md:-mx-6">
        <div v-for="item in items" :key="item.title" class="item py-6 md:px-6 lg:w-1/2">
          <h5 class="text-base text-gray-700 uppercase">{{ item.title }}</h5>
          <div class="markdown" v-html="item.text" />
        </div>
      </div>
      <footer class="flex items-center mb-8 py-8 border-t">
        <!-- PDF Icon Start -->
        <!-- prettier-ignore-start -->
        <svg class="inline-block h-10 w-10 mr-2 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 85 85">
          <path d="M12.98 81.02c-.661-12.437-.311-25.046-.221-37.498.048-6.676.09-13.356.18-20.032.089-6.474-.316-13.21.375-19.638.207-1.922-2.795-1.902-3 0-.625 5.806-.384 11.986-.333 17.833.058 6.662-.081 13.345-.2 20.007-.232 13.037-.492 26.306.2 39.327.103 1.924 3.104 1.934 3 0z"/>
          <path d="M12.48 5.186c7.525.937 15.307.113 22.886.302 4.577.114 9.153.24 13.73.317 4.013.068 8.075-.506 12.05-.286 1.935.107 1.924-2.894 0-3-3.341-.185-6.722.34-10.09.312-4.575-.038-9.152-.172-13.728-.292-8.21-.214-16.702.661-24.846-.353-1.917-.238-1.894 2.764-.001 3zm-1.165 78.5c20.96.002 41.895.672 62.833.667 1.935 0 1.935-3 0-3-20.938.006-41.872-.665-62.833-.667-1.935 0-1.935 3 0 3z"/>
          <path d="M75.48 83.02c-.02-11.582-.353-23.159-.366-34.739-.013-10.383.522-20.8.2-31.095-.06-1.93-3.06-1.936-3 0 .322 10.285-.176 20.721-.2 31.095-.026 11.58.348 23.157.367 34.738.004 1.935 3.004 1.935 3 0z"/>
          <path d="M60.02 5.11c1.532 2.12 3.43 3.832 5.502 5.411 2.63 2.006 4.468 4.524 6.733 6.892 1.339 1.4 3.458-.724 2.12-2.12-1.82-1.904-3.311-4.069-5.32-5.79-2.235-1.916-4.69-3.48-6.444-5.908-1.123-1.552-3.727-.056-2.591 1.515z"/>
          <path d="M58.48 5.52c.475 3.98.235 8.01 0 12-.045.793.719 1.53 1.5 1.5 4.444-.17 8.912-.176 13.334.332 1.92.221 1.898-2.782 0-3-4.423-.509-8.89-.503-13.333-.333l1.5 1.5c.234-3.989.474-8.02 0-12-.225-1.896-3.228-1.918-3 0zM22.398 48.394v.125c0 1.935 3 1.935 3 0v-.125c0-1.935-3-1.935-3 0zm5.875-11.124v11c0 1.934 3 1.934 3 0v-11c0-1.936-3-1.936-3 0z"/>
          <path d="M27.898 50.02c1.439.017 2.843.221 4.274-.055.803-.154 1.25-1.104 1.047-1.845-.23-.834-1.043-1.202-1.845-1.047-1.124.216-2.34-.04-3.476-.054-1.936-.024-1.933 2.976 0 3zm.399-11.555c1.643-.335 4.602-.506 5.92.728.662.62.896 2.554-.088 2.93-1.058.402-2.376.162-3.48.146-1.936-.029-1.933 2.971 0 3 1.905.028 3.992.264 5.62-.936 1.64-1.208 1.689-3.48 1.189-5.28-1.122-4.03-6.618-4.163-9.958-3.48-1.895.387-1.092 3.28.797 2.892zm15.851 9.555v-10c0-1.936-3-1.936-3 0v10c0 1.934 3 1.934 3 0z"/>
          <path d="M40.523 39.02c2.939.341 6.804-.414 7.804 3.148 1.25 4.46-4.221 5.044-7.304 4.726-1.924-.199-1.905 2.803 0 3 4.89.505 10.479-1.186 10.397-6.943-.034-2.44-1.267-4.75-3.472-5.847-2.25-1.119-5-.803-7.426-1.085-1.918-.224-1.897 2.78 0 3zM57.023 48.52v-10.5c0-1.936-3-1.936-3 0v10.5c0 1.934 3 1.934 3 0z"/>
          <path d="M54.047 38.715c2.223-.569 4.712-.439 6.976-.196v-3h-.125c-.818 0-1.5.682-1.5 1.5v1.75c0 1.935 3 1.935 3 0v-1.75l-1.5 1.5h.125c1.976 0 1.88-2.798 0-3-2.538-.272-5.283-.334-7.774.304-1.872.48-1.078 3.373.798 2.892zM53.523 50.27h4c1.935 0 1.935-3 0-3h-4c-1.935 0-1.935 3 0 3zM56.023 44.644h3.875c1.935 0 1.935-3 0-3h-3.875c-1.935 0-1.935 3 0 3z"/>
        </svg>
        <!-- prettier-ignore-end -->
        <!-- PDF Icon End -->
        <a :href="downloads.asset" target="_blank">
          {{ downloads.label }}
        </a>
      </footer>
    </div>
  </section>
</template>

<script>
export default {
  name: 'ProjecteTecnicEspai',
  props: {
    heading: String,
    text: String,
    items: Array,
    downloads: Object,
    featured_image: Object,
  },
};
</script>
